qq_30089875
qq_30089875
2017-09-05 08:21
采纳率: 60%
浏览 2.4k
已采纳

关于SimpleCV和opencv的问题

环境为mac下的py2.7,在使用simplecv的时候出现提示:ImportError: Cannot load OpenCV library which is required by SimpleCV
jupyter的提示为:

/Users/sapphire/_Work space/颈动脉/图像分类代码/featuresHOG.py in ()
5 import numpy as np
6 import cv2 # opencv 2
----> 7 from SimpleCV import *
8 import skimage
9

/Users/sapphire/anaconda/envs/python27/lib/python2.7/site-packages/SimpleCV/__init__.py in ()
1 version = '1.3.0'
2
----> 3 from SimpleCV.base import *
4 from SimpleCV.Camera import *
5 from SimpleCV.Color import *

/Users/sapphire/anaconda/envs/python27/lib/python2.7/site-packages/SimpleCV/base.py in ()
57 import cv
58 except ImportError:
---> 59 raise ImportError("Cannot load OpenCV library which is required by SimpleCV")
60
61 #optional libraries

ImportError: Cannot load OpenCV library which is required by SimpleCV

请问该如何解决这个问题?

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 邀请回答

1条回答 默认 最新

  • devmiao
    devmiao 2017-09-06 15:49
    已采纳
    点赞 评论

相关推荐